﻿<?php
/**
 * This file is part of Joomla Estate Agency - Joomla! extension for real estate agency
 *
 * @version     $Id: default.php 351 2012-04-28 12:24:48Z ilhooq $
 * @package     Joomla.Site
 * @subpackage  com_jea
 * @copyright   Copyright (C) 2008 - 2012 PHILIP Sylvain. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */


// no direct access
defined('_JEXEC') or die('Restricted access');

JHTML::stylesheet('media/com_jea/css/jea.css');
$dispatcher = JDispatcher::getInstance();
JPluginHelper::importPlugin('jea');
?>



<?php if ($this->params->get('show_print_icon')): ?>
<div class="jea-tools">
  <a href="javascript:window.print()" title="<?php echo JText::_('JGLOBAL_PRINT') ?>">
  <?php echo JHtml::_('image', 'system/printButton.png', JText::_('JGLOBAL_PRINT'), null, true) ?></a>
</div>
<?php endif ?>

<h1 style="padding:0 8px; font:bold 18px arial"><?php echo $this->page_title ?></h1>

<?php if ( $this->params->get('show_creation_date', 0) ) : ?>
<p>
  <span class="date"><?php echo JHTML::_('date',  $this->row->created, JText::_('DATE_FORMAT_LC3') ) ?></span>
</p>
<?php endif ?>

<?php if(!empty($this->row->images)): ?>
<div id="jea-gallery">
<?php echo $this->loadTemplate($this->params->get('images_layout', 'squeezebox')) ?>
</div>
<?php endif ?>


<?php if (intval($this->row->availability)): ?>
<p class="availability">
<?php echo JText::_('COM_JEA_FIELD_PROPERTY_AVAILABILITY_LABEL') ?> : 
<?php echo JHTML::_('date',  $this->row->availability, JText::_('DATE_FORMAT_LC3') ) ?>
</p>
<?php endif  ?>



<table class="jea-data" >
	<?php if($this->row->kwota_inwestycji): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_KWOTA_INWESTYCJI') ?></th>
		<td class="right"><?php echo JHtml::_('utility.formatPrice', $this->row->kwota_inwestycji ); ?></td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->kwota_inwestora): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_KWOTA_INWESTORA') ?></th>
		<td class="right"><?php echo JHtml::_('utility.formatPrice', $this->row->kwota_inwestora); ?></td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->roczna_stopa): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_ROCZNA_STOPA') ?></th>
		<td class="right"><?php echo JText::_($this->row->roczna_stopa); ?></td>
		
	</tr>
	<?php endif ?>
	
	<?php if($this->row->miasto_woj): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_MIASTO_WOJ') ?></th>
		<td class="right"><?php echo JText::_($this->row->miasto_woj); ?></td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->pow_uzytkowa): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_POW_UZYTKOWA') ?></th>
		<td class="right"><?php echo JHtml::_('utility.formatSurface', $this->row->pow_uzytkowa); ?></td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->pow_dzia³ki): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_POW_DZIALKI') ?></th>
		<td class="right"><?php echo JText::_($this->row->pow_dzia³ki); ?></td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->typ_lokalu): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_TYP_LOKALU') ?></th>
		<td class="right">
		<?php	switch($this->row->typ_lokalu)
			{
				case 'H': echo 'HANDLOWY'; break;
				case 'B': echo 'BIUROWY'; break;
				case 'U': echo 'USŁUGOWY'; break;
			}
		?>
		</td>
	</tr>
	<?php endif ?>
	
	<?php if($this->row->termin): ?>
	<tr>
		<th><?php echo JText::_('COM_JEA_FIELD_TERMIN') ?></th>
		<td class="right"><?php echo JText::_($this->row->termin); ?></td>
	</tr>
	<?php endif ?>
</table>

<?php $dispatcher->trigger('onBeforeShowDescription', array(&$this->row)) ?>

<div class="property-description clr">
<?php echo $this->row->description ?>
</div>

<?php $dispatcher->trigger('onAfterShowDescription', array(&$this->row)) ?>


<p>
  <a href="<?php echo JRoute::_('index.php?option=com_jea&view=properties')?>"><?php echo JText::_('COM_JEA_RETURN_TO_THE_LIST')?> </a>
</p>
